Description

NSIA currently treats "https://web.site/path" and "http://web.site/path" as different even though they are most likely the same. NSIA

should treat them as the same and not rescan the path.

History

#1 - 07/30/2011 06:32 AM - Luke Murphey

- Subject changed from Treat URLs as Equivalent when Only the Protocol is DIfferent to Treat URLs as Equivalent when Only the Protocol is Different

#2 - 08/11/2011 01:58 AM - Luke Murphey

The problem is that the URLs are currently stored as Strings.

Here is a snippet from HttpSeekingScanRule.java:

// See if the entry is in the list or URLs already processed

for( String oldURL : urls ){

    if( oldURL.equalsIgnoreCase(str) ){

        found = true;

    }

}

 

We need to stored URL instances in order to treat protocols differently or parse the URL into a URL instance and search for both HTTP and HTTPS

instances.

#3 - 12/03/2011 08:31 AM - Luke Murphey

- Target version deleted (1.0.6)

#4 - 07/23/2014 09:37 PM - Luke Murphey

- Assignee deleted (Luke Murphey)
